<inp2:adm_SetPopupSize width="550" height="400"/>
<inp2:m_include t="incs/header"/>

<inp2:m_RenderElement name="combined_header" section="in-bulletin:configuration_emoticon"  prefix="emoticon" title_preset="emoticon_edit"/>

<!-- ToolBar -->
<table class="toolbar" height="30" cellspacing="0" cellpadding="0" width="100%" border="0">
<tbody>
	<tr>
  	<td>
  		<script type="text/javascript">
				a_toolbar = new ToolBar();
				a_toolbar.AddButton( new ToolBarButton('select', '<inp2:m_phrase label="la_ToolTip_Save" escape="1"/>', function() {
							submit_event('emoticon', '<inp2:emoticon_SaveEvent/>');
						}
					) );
				a_toolbar.AddButton( new ToolBarButton('cancel', '<inp2:m_phrase label="la_ToolTip_Cancel" escape="1"/>', function() {
							cancel_edit('emoticon', 'OnCancelEdit','<inp2:emoticon_SaveEvent/>','<inp2:m_Phrase label="la_FormCancelConfirmation" escape="1"/>');
						}
				 ) );

			 a_toolbar.AddButton( new ToolBarButton('reset_edit', '<inp2:m_phrase label="la_ToolTip_Reset" escape="1"/>', function() {
						reset_form('emoticon', 'OnReset', '<inp2:m_Phrase label="la_FormResetConfirmation" escape="1"/>');
					}
			 	) );

				a_toolbar.AddButton( new ToolBarSeparator('sep1') );

				a_toolbar.AddButton( new ToolBarButton('prev', '<inp2:m_phrase label="la_ToolTip_Prev" escape="1"/>', function() {
							go_to_id('emoticon', '<inp2:emoticon_PrevId/>');
						}
				 ) );
				a_toolbar.AddButton( new ToolBarButton('next', '<inp2:m_phrase label="la_ToolTip_Next" escape="1"/>', function() {
							go_to_id('emoticon', '<inp2:emoticon_NextId/>');
						}
				 ) );



				a_toolbar.Render();

				<inp2:m_if check="emoticon_IsSingle" >
					a_toolbar.HideButton('prev');
					a_toolbar.HideButton('next');
					a_toolbar.HideButton('sep1');
				<inp2:m_else/>
					<inp2:m_if check="emoticon_IsLast" >
						a_toolbar.DisableButton('next');
					</inp2:m_if>
					<inp2:m_if check="emoticon_IsFirst" >
						a_toolbar.DisableButton('prev');
					</inp2:m_if>
				</inp2:m_if>
			</script>
		</td>
	</tr>
</tbody>
</table>

<inp2:emoticon_SaveWarning name="grid_save_warning"/>
<inp2:emoticon_ErrorWarning name="form_error_warning"/>

<div id="scroll_container">
<table class="edit-form">
		<inp2:m_RenderElement name="inp_id_label" prefix="emoticon" field="EmoticonId" title="la_fld_Id"/>
		<inp2:m_RenderElement name="inp_edit_box" prefix="emoticon" field="Name" title="la_fld_Name"/>
		<inp2:m_RenderElement name="inp_edit_box" prefix="emoticon" field="KeyStroke" title="la_fld_KeyStroke"/>
		<inp2:m_RenderElement name="inp_edit_checkbox" prefix="emoticon" field="Enabled" title="la_fld_Enabled"/>
		<inp2:m_RenderElement name="inp_edit_upload" prefix="emoticon" field="EmotionImage" title="la_fld_Image"/>
		<inp2:m_RenderElement name="inp_edit_filler"/>
</table>
</div>

<inp2:m_include t="incs/footer"/>
